/*
 * Button floating
 *
 *
 * Index
 * - Button
 */


/* BUTTON
 -------------------- */

:host {
  position: fixed;
  right: 1rem;
  bottom: 1rem;
  z-index: 2;
  box-sizing: border-box;
  display: block;
  align-items: center;
  max-width: 3.5rem;
  height: 3.5rem;
  padding: 0.6rem 0.75rem 0.75rem;
  overflow: hidden;
  font-family: var(--road-font, sans-serif);
  font-size: var(--road-button-medium);
  font-weight: 700;
  line-height: 1.375;
  color: var(--road-on-button-fab);
  text-decoration: none;
  white-space: nowrap;
  background: var(--road-button-fab);
  border: 1px solid transparent;
  border-radius: 2rem;
  box-shadow: var(--road-elevation-average);
  transition: background 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms, color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
}

:host(.position-left) {
  right: auto;
  left: 1rem;
}

:host(.position-center) {
  right: 0;
  left: 0;
  margin: 0 auto;
}

:host(.scroll-up) {
  display: block;
  max-width: 3.5rem;
}

:host(.position-center.scroll-up) {
  display: flex;
  max-width: max-content;
}


:host(.scroll-down) .button-native{
  display: flex;
}

:host(.position-center.scroll-down) .button-native{
  display: flex;
}

:host(.position-center) .button-native{
  display: flex;
}

:host(.scroll-down) {
  display: flex;
  max-width: max-content;
}



:host ::slotted(road-icon) {
  margin-right: 0.5rem;
  color: var(--road-on-button-secondary);
}


:host(:hover) {
  background-color: var(--road-button-fab-variant);
}

/**
 * Native button
 */

.button-native {
  position: relative;
  z-index: 1;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
  padding: 0;
  margin: 0;
  font-family: inherit;
  font-size: inherit;
  font-style: inherit;
  font-weight: inherit;
  color: inherit;
  text-align: inherit;
  text-decoration: none;
  text-indent: inherit;
  text-overflow: inherit;
  text-transform: inherit;
  letter-spacing: inherit;
  white-space: inherit;
  cursor: pointer;
  background: transparent;
  border: none;
  outline: 0;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}


/* DISABLED
 -------------------- */

:host([aria-disabled]) {
  pointer-events: none;
  opacity: 0.16;
}

.button-native:disabled {
  cursor: not-allowed;
}
